# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiTriplanarTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.addControl("input", label="输入")
        self.addSeparator()
        self.addControl("coordSpace", label="坐标空间")
        self.addControl("P")
        self.addControl("blend", label="混合")

        self.beginLayout("变换", collapse=False)
        self.addControl("scale", label="规模")
        self.addControl("rotate", label="旋转")
        self.addControl("offset", label="抵消")
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)

        self.addExtraControls()
        self.endScrollLayout()
    
